Bug 1096336 - Liberation 2.00.x missing unicode hyphen (U+2010)
Summary: Liberation 2.00.x missing unicode hyphen (U+2010)
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: liberation-fonts
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: vishal vijayraghavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1626991
TreeView+ depends on / blocked
 
Reported: 2014-05-09 17:20 UTC by Elbart
Modified: 2019-04-23 06:38 UTC (History)
7 users (show)

Fixed In Version: liberation-fonts-2.00.3-1.fc29
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1626991 (view as bug list)
Environment:
Last Closed: 2019-04-23 06:38:44 UTC


Attachments (Terms of Use)
list of 1.07.4-glyphs missing in 2.00.1, made with sfddiff. (6.28 KB, text/plain)
2014-05-12 16:21 UTC, Elbart
no flags Details

Description Elbart 2014-05-09 17:20:33 UTC
Description of problem:
The liberation-fonts 2.00.0 and 2.00.1 are missing the unicode hyphen (U+2010).
Versions 1.07.4 and older have that glyph.

Version-Release number of selected component (if applicable):
2.00.1

The regressing commit is https://git.fedorahosted.org/cgit/liberation-fonts.git/commit/?id=5feb936757440e7f0feb0c89b9bec3c2012ae036 (slow!)
प्रविण सातपुते "sfd file converted from ttf"

Comment 1 Pravin Satpute 2014-05-12 08:08:26 UTC
Thanks Elbart for reporting this.

I have resolved this issue with https://github.com/pravins/liberation-fonts/commit/c49357af099fa115e16a181f653b4fe045c970fb 

Now maintaining liberation 2.00.x on github only.

Fix will be available with next release.

Comment 2 Elbart 2014-05-12 16:21:18 UTC
Created attachment 894809 [details]
list of 1.07.4-glyphs missing in 2.00.1, made with sfddiff.

Thanks.

FWIW, here are the lists of 1.07.4-glyphs missing in 2.00.1, made with sfddiff.

PS: The links to the 1.07-files seem to be set the wrong way around on https://fedorahosted.org/liberation-fonts/ .

"Binary" points to the source and vice versa.

Comment 3 Pravin Satpute 2014-05-13 06:35:58 UTC
Updated fedorahosted page.

Will add other missing glyphs as well, soon

Comment 4 Elbart 2014-05-13 13:47:39 UTC
(In reply to Pravin Satpute from comment #3)
> Updated fedorahosted page.

The links for 1.07.3 are still the wrong way around.

> Will add other missing glyphs as well, soon

Thanks!

Comment 5 Jaroslav Reznik 2015-03-03 17:01:14 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 6 Fedora End Of Life 2016-07-19 11:29:54 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 Fedora End Of Life 2017-07-25 18:39:52 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2017-08-08 11:46:47 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 9 Pravin Satpute 2017-08-08 12:06:26 UTC
This still requires few fixes, as written in comment #3

Comment 10 sachin 2018-07-19 12:27:56 UTC
Moving to f28 as per comment 9 still few fixes are ramaining

Comment 11 vishalvvr 2019-04-23 06:38:44 UTC
Fixed in build liberation-fonts-2.00.3-1.fc29


Note You need to log in before you can comment on or make changes to this bug.